Performace issues on creating on host on a vmware compute resource with many many networks

03/07/2017 11:41 AM - Jan-Otto Kröpke

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.14.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

we have da datacenter size vmware farm. We approx 4000 network on 2 dvs on our farm.

Currently, we evaluate foreman connection to our vmware cluster. After click on "New Host", select deploy on vmware (compute

resource), foreman need some minutes to load all the data from the backend. After submit the form, the foreman needs again some

minute to create the virtual machine.

It's terrible slow.

Related issues:

Is duplicate of Foreman - Feature #13618: Cache vSphere compute resource lookups Closed 02/09/2016

History

#1 - 03/08/2017 03:12 AM - Dominic Cleal

- Is duplicate of Feature #13618: Cache vSphere compute resource lookups added

#2 - 03/08/2017 03:13 AM - Dominic Cleal

- Category set to Compute resources - VMware

- Status changed from New to Duplicate

I'm inclined to say this is fixed by #13618, which is scheduled for 1.15.0. It provides caching around loading of network lists etc, and should make the

UI more responsive. You can try this through nightly packages or release candidates when available.
